14.6. Custom Dialog Node Reference

Engineering Knowledge Manager

User's Guide | Chapter 14: Defining Custom Dialog Boxes and Wizards in EKM Studio |

14.5. Adding New Steps |  | 14.7. Setting the Dimensions of a Custom Dialog Box
Prev |  | Next

## 14.6. Custom Dialog Node Reference

This section describes the options in the Edit Custom Dialog Node dialog box:

### Custom Dialog Node Toolbar

The Custom Dialog Node toolbar controls the creation, ordering, and deletion of steps. There is also undo/redo capability for some operations:

Add

  To add a step, click the "plus sign".

Delete

  To delete a step, select it and click delete. (This operation can be undone.)

Copy

  To make a copy of an existing step, select it and click the copy button. This is a quick way to create steps that share common features.

Move Up/Down

  When you have created a series of steps, you can reorder them by using the up arrow and down arrows.

Undo/Redo

  Only the following actions can be undone or redone. Any action related to an update of properties cannot be undone.

  - Addition/Deletion of a step.

  - Copy/Move of a step.

  - Addition/Deletion of a widget.

  - Addition/Deletion of a grid row or column.

  - Addition/Deletion of a data table column.

### Custom Dialog Node Properties

Name

  The text displayed as the step's name in the Custom Dialog Node panel.

Description

  Optional text about the custom dialog node.

Assignee

  User or Group to which this custom dialog node should be assigned for completion.

Allow assignee to be changed

  Allow the process creator or an `admin` user to change the node's assignee.

### Dialog Step Properties

Name

  The text displayed as the step's name in the Custom Dialog Node panel.

Description

  Optional text.

Step Entry Macro

  The specified macro is executed before this step is loaded.

Step Completion Macro

  The specified macro is executed when this step is completed.

### Label Widget

This widget creates static text anywhere in a step. For example, you can use this to place a label in front of widget that takes input. You can apply the following attributes:

Binding Variable

  You can bind a widget to an existing variable or create a new variable. If you are creating a new variable as a binding variable, then a variable of type string with the specified properties is created when you click OK.

ID

  The ID of the variable.

Name

  The name of the variable. (This is editable only for new variables.)

Type

  The type of variable. Default: String

Default value

  The text that displays.

Display Style

  This area accepts CSS markup that changes the display of the text in the Default value.

### Reference Widget

Binding Variable

  You can bind a widget to an existing variable or create a new variable. If you are creating a new variable as a binding variable, then a variable of type Reference is created when you click OK.

ID

  The ID of the variable. Default: reference

Name

  The name of the variable. Default: Reference

Type

  Default: Reference

Default value

  Default reference path of an object that is present in repository. This value would appear in text box present in the reference widget.

Multi-Valued

  Enables selection of multiple entries. The XML output will be a comma-separated list.

Constraint
  Base Type

    The base type for the reference.

Display Style

  This area accepts CSS markup that changes the display of the text in the Default value.

Update On Change

  A comma-separated list of widget IDs that needs to be refreshed if value of the reference widget changes.

On-change macro

  The macro that executes when the user changes the reference path.

### Dropdown List Widget

This widget provides a drop-down list of items. You can have single or multiple items; the latter setting requires that you specify Multi-Valued. This widget has the following attributes:

Binding Variable

  You can bind a widget to an existing variable or create a new variable. When you click OK, you create a variable of Name (label) ID (label) and Type.

ID

  The ID of the variable. Default: dropDownList

Name

  The name of the variable. Default: DropDownList

Type

  Can be of type `String`, `Long`, or `Double`. Default: `String`

Default value

  The default item displayed in the drop-down list.

Multi-Valued

  Enables selection of multiple entries. The XML output will be a comma-separated list.

Enumeration

  The items to be available in the drop-down list.

Display Style

  This area accepts CSS markup that changes the display of the text in the Default value.

Update on change

  A comma-separated list of widget IDs that needs to be refreshed if the value of the dropdown list changes.

On-change macro

  The macro that executes when the user selects a different value in the dropdown list.

### Image Widget

This widget displays an image in the step. You can select the image either from your local disk or use a bound variable to reference an image.

Upload image

If you choose the Upload image option, the Open dialog box will appear, enabling you to select an image from your local file system. Once you have selected a file, the image widget will have the following attributes:

ID

  The identifier for the image.

Local path

  The location of the image on the local system.

Repository path

  The location of the image in the repository. When you click OK to save the custom dialog node, the image specified in the Local Path text box is automatically uploaded to this location in the repository.

  Alternatively, you can just give the path of an already existing image in the repository as the value for the Repository path and that will be picked up when the custom dialog task is displayed in the process view.

Height / Width

  The size of the image.

Display style

  This area accepts CSS markup that changes the display of the image.

Use variable to reference image

If you choose the Use variable to reference image option, an image placeholder is displayed, and the image widget will have the following attributes:

Binding Variable

  You can bind a widget to an existing variable or create a new variable. If you are creating a new variable as a binding variable, then a variable of type reference with a base type of image is created with the specified properties when you click OK.

Name

  The name of the variable that references the image. If creating a new variable, the default is Reference.

ID

  The ID of the variable. If creating a new variable, the default is reference.

Default value

  Default reference path of an image that is present in repository. For example, `/Data/Shared Data/image.png`

Display style

  This area accepts CSS markup that changes the display of the image.

### Spacer Widget

This widget places empty cells between widgets and is used to manage layouts. It has the following attributes:

ID

  The identifier for the image. Default: `image`

Height / Width

  The size of the spacer.

Display style

  This area accepts CSS markup that changes the display of the spacer. For example, a spacer with the display style "border:2px solid blue" would render as a spacer with a blue border of 2px thickness.

### Command Button Widget / Command Link Widget

These widgets provides a button or a link that, when clicked, executes the specified macro. Each has the following attributes:

ID

  The identifier for the command button or link. Default: `commandButton`, `commandLink`

Name

  The name of the command button or link. Default: `Command Button`, `Command Link`

On-click macro

  The macro that executes when the button or link is clicked.

Update on change

  A comma-separated list of widget IDs that needs to be refreshed on the click of a command button or a command link.

Display style

  This area accepts CSS markup that changes the display of the button or link text.

### Text Box Widget

This widget takes text input from the user. That input can be of type: `String`, `Long`, or `Double`. This widget has the following attributes:

Binding Variable

  You can bind a widget to an existing variable or create a new variable. If you are creating a new variable as a binding variable, then a variable of type string with the specified properties is created when you click OK.

ID

  The ID of the variable. Default: `textBox`

Name

  The name of the variable. (This is editable only for new variables.) Default: `Text Box`

Type

  Can be of type `String`, `Double`, or `Long`. Default: `String`

Multi-line value

  Enables you to create a multi-line string in the text box.

Default value

  The text that displays in the text box by default.

Display style

  This area accepts CSS markup that changes the display of the text box.

Update on change

  The IDs that need to be updated.

On-change macro

  The macro that executes when the user edits the value in the text box.

### Check Box Widget

This widget enables the user to select or clear the associated option. If multivalued, Boolean values are treated as a comma-separated string. This widget has the following attributes:

Binding Variable

  You can bind a widget to an existing variable or create a new variable. If you are creating a new variable as a binding variable, then a variable of type string with the specified properties is created when you click OK.

ID

  The ID of the variable. Default: `checkBox`

Name

  The name of the variable. (This is editable only for new variables.) Default: `Check Box`

Type

  Default: `Boolean`

Default value

  true or false. If multivalued, multiple Boolean values can be specified in a comma-separated list.

Display style

  This area accepts CSS markup that changes the display of the check box widget.

Update on change

  The IDs that need to be updated when the value changes.

On-change macro

  The macro that executes when the user changes the value of the check box.

### Upload File Widget

This widget enables the user to upload a file. This widget has the following attributes:

ID

  The ID of the variable. Default: `uploadFile`

Name

  The name of the variable. Default: `Upload File`

Display style

  This area accepts CSS markup that changes the display of the upload file widget.

### Data Table Widget

This widget enables the user to specify multi-valued variable columns in a table. A Data Table is generated from the values specified. Only widgets that can be multi-valued are allowed to be dropped into data table cells. Every multi-valued variable is rendered as multiple widgets of the same type in a column where every value of a variable is bound to the widget rendered. For complete reference information on this widget, see the example `Example-data-table.pt.xml` in `/Data/Shared Data/Sample Files/process templates/custom-dialog-node-process templates`.

This widget has the following attributes:

ID

  The ID of the variable. Default: `dataTable`

Name

  The name of the variable. Default: `Data Table`

Display style

  This area accepts CSS markup that changes the display of the data table widget.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev | Up / Contents | Next

Release 18.2 - © ANSYS, Inc. All rights reserved.